Subject: bug#43143: closed (Re: bug#43143: Building iwd on armhf triggers kernel panic)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Sep 2022 00:28:02 +0000

Your bug report

#43143: Building iwd on armhf triggers kernel panic

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43143: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=43143
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43143: Building iwd on armhf triggers kernel panic
From: Maxim Cournoyer <[email-masked]>
To: Vagrant Cascadian <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked]
Date: Wed, 28 Sep 2022 20:26:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[...]

> Using a more recent version of [email-masked], it failed to
> build on both the veyron-speedy (rk3288) and the novena (imx6). It
> doesn't necessarily *always* trigger a kernel panic; I haven't
> identified which conditions trigger the kernel panic, but so far I've
> only seen them on the veyron-speedy. I haven't seen it successfully
> build with any recent linux-libre-arm-generic kernel, though recent
> [email-masked] and @5.8 worked.
>
> So it seems something in iwd needs specific kernel features in order to
> build at all...
>
> Not sure when I'll get a chance to debug further, but figured I'd update
> about what I've tried so far.

Bordeaux managed to build it, according to 'guix weather
--system=armhf-linux iwd', hence I'm closing this old forgotten issue.
Please reopen if you still experience it on a standard Guix System
kernel.

Thanks,

Maxim

Subject: Building iwd on armhf triggers kernel panic
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Mon, 31 Aug 2020 16:26:03 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I've been getting kernel panics when i try to build iwd, a dependency of
network-manager.

It crashes hard, so there's no recorded log, but I managed to scrape
this from an ssh session:

$ guix build iwd
...
PASS: unit/test-p2p
PASS: unit/test-client
./build-aux/test-driver: line 107:  6837 Aborted                 "$@" >
$log_file 2>&1
FAIL: unit/test-arc4
PASS: unit/test-sa

When the test-arc4 fails, soon after a kernel panic results and the
system freezes. Repeated this multiple times.

Going to remove iwd support for network manager locally and then try
again.

live well,
  vagrant